/**
 * Diese Klasse repraesentiert ein Element in einer
 * {@link MeinePostkartenListe}. Sie verweist auf die gespeicherte Postkarte
 * fuer dieses Element und verweist ebenso auf das naechste Element vom Typ
 * {@link MeinPostkartenListenElement} in der Liste.
 * 
 * @author Annabelle Klarl
 * 
 */
public class MeinPostkartenListenElement {

    private Postkarte postkarte;
    private MeinPostkartenListenElement next;

    /**
     * Konstruktor: erstellt ein neues Element mit einem Verweis auf die
     * entsprechende Postkarte
     * 
     * @param postkarte
     */
    public MeinPostkartenListenElement(Postkarte postkarte) {
        this.postkarte = postkarte;
        this.next = null;
    }

    /**
     * Konstruktor: erstellt ein neues Element mit einem Verweis auf die
     * entsprechende Postkarte und erstellt einen Verweis auf das naechste
     * Listen-Element.
     * 
     * @param postkarte
     * @param next
     */
    public MeinPostkartenListenElement(
            Postkarte postkarte, MeinPostkartenListenElement next) {
        this.postkarte = postkarte;
        this.next = next;
    }

    /**
     * Diese Methode gibt die zu diesem Listen-Element gehoerende Postkarte
     * zurueck.
     * 
     * @return
     */
    public Postkarte getPostkarte() {
        return this.postkarte;
    }

    /**
     * Diese Methode gibt das naechste Listen-Element zurueck.
     * 
     * @return
     */
    public MeinPostkartenListenElement getNext() {
        return this.next;
    }
}
