/**
 * Diese Klasse repraesentiert ein Element in einer {@link MeineRechnungsListe}.
 * Sie verweist auf die gespeicherte Rechnung fuer dieses Element und verweist
 * ebenso auf das naechste Element vom Typ {@link MeinRechnungsListenElement} in
 * der Liste.
 * 
 * @author Annabelle Klarl
 * 
 */
public class MeinRechnungsListenElement {

    private Rechnung rechnung;
    private MeinRechnungsListenElement next;

    /**
     * Konstruktor: erstellt ein neues Element mit einem Verweis auf die
     * entsprechende Rechnung
     * 
     * @param rechnung
     */
    public MeinRechnungsListenElement(Rechnung rechnung) {
        this.rechnung = rechnung;
        this.next = null;
    }

    /**
     * Konstruktor: erstellt ein neues Element mit einem Verweis auf die
     * entsprechende Rechnung und erstellt einen Verweis auf das naechste
     * Listen-Element.
     * 
     * @param rechnung
     * @param next
     */
    public MeinRechnungsListenElement(Rechnung rechnung,
            MeinRechnungsListenElement next) {
        this.rechnung = rechnung;
        this.next = next;
    }

    /**
     * Diese Methode gibt die zu diesem Listen-Element gehoerende Rechnung
     * zurueck.
     * 
     * @return
     */
    public Rechnung getRechnung() {
        return this.rechnung;
    }

    /**
     * Diese Methode gibt das naechste Listen-Element zurueck.
     * 
     * @return
     */
    public MeinRechnungsListenElement getNext() {
        return this.next;
    }
}
