/**
 * Diese Klasse repraesentiert eine Postkarte bestehend aus dem Teilnehmer,
 * der diese Postkarte anfaenglich losgeschickt hat, und der Entfernung in km
 * (wobei hier nur ganzzahlige Entfernungen erlaubt sind),
 * die diese Postkarte zurueckgelegt hat.
 * 
 * @author Annabelle Klarl
 * 
 */
public class Postkarte {

    private String teilnehmer;
    private int entfernung;

    /**
     * Konstruktor
     * 
     * @param teilnehmer
     * @param entfernung zurueckgelegte Entfernung in km als Ganzzahl
     */
    public Postkarte(String teilnehmer, int entfernung) {
        this.teilnehmer = teilnehmer;
        this.entfernung = entfernung;
    }

    /**
     * Diese Methode gibt den Namen des Teilnehmers zurueck,
     * der diese Postkarte anfaenglich abgeschickt hat.
     * 
     * @return der Name des Teilnehmers
     */
    public String getTeilnehmer() {
        return this.teilnehmer;
    }

    /**
     * Diese Methode gibt die Entfernung zurueck,
     * die die Postkarte zurueckgelegt hat.
     * 
     * @return die zurueckgelegte Entfernung
     */
    public int getEntfernung() {
        return this.entfernung;
    }

}
