/**
 * Diese Klasse repraesentiert eine Rechnung bestehend aus einer Rechnungsnummer
 * und dem zu zahlenden Betrag in Euro, wobei hier nur ganzzahlige Betraege erlaubt
 * sind.
 * 
 * @author Annabelle Klarl
 * 
 */
public class Rechnung {

    private int rechnungsnr;
    private int betrag;

    /**
     * Konstruktor
     * 
     * @param rechnungsnr
     * @param betrag
     *            Rechnungsbetrag in Euro als ganzzahliger Betrag
     */
    public Rechnung(int rechnungsnr, int betrag) {
        this.rechnungsnr = rechnungsnr;
        this.betrag = betrag;
    }

    /**
     * Diese Methode gibt die Rechnungsnummer zurueck.
     * 
     * @return die Rechnungsnummer
     */
    public int getRechnungsnr() {
        return this.rechnungsnr;
    }

    /**
     * Diese Methode gibt den Rechnungsbetrag zurueck.
     * 
     * @return der Rechnungsbetrag
     */
    public int getBetrag() {
        return this.betrag;
    }

}
